Subject: bug#10702: 24.0.92; broken widget in Man

From: Glenn Morris <[email-masked]>
Date: Thu, 02 Feb 2012 15:13:12 -0500

Sam Steingold wrote:

> emacs -Q
> M-x man RET
> 2 stat RET
> navigate to <sys/stat.h> and hit RET or mouse2 on it
> ==>
>
> Debugger entered--Lisp error: (error #("Cannot find header file: sys/stat.h" 25 26 (face bold) 26 27 (face bold) 27 28 (face bold) 28 29 (face bold) 29 30 (face bold) 30 31 (face bold) 31 32 (face bold) 32 33 (face bold) 33 34 (face bold) 34 35 (face bold)))

I can't reproduce this in the current trunk.
If /usr/include/sys/stat.h is present I warp to it, if not then
I just get the expected error message as shown above: Cannot find header file:
sys/stat.h.

Do you have a readable sys/stat.h somewhere in Man-header-file-path on
your system?